'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fontSizes = [12, 15, 17, 20, 24, 28, 34, 42, 50, 70];
// e.g. for sport:
// const [dark, main, bright, pastel, faded] = colors.blue

var colors = {
  reds: ["#ab0613", //news-dark
  "#c70000", //news-main
  "#FF5943", //news-bright
  "#ffbac8", //news-pastel
  "#fff4f2"],
  oranges: ["#AB0613", //opinion-dark
  "#E05E00", //opinion-main
  "#FF7F0F", //opinion-bright
  "#F9B376", //opinion-pastel
  "#FEF9F5"],
  blues: ["#005689", //sport-dark
  "#0084C6", //sport-main
  "#00B2FF", //sport-bright
  "#90DCFF", //sport-pastel
  "#F1F8FC", //sport-faded
  "#041F4A", //brand-dark
  "#052962", //brand-main
  "#0077B3", //brand-bright
  "#506991", //brand-pastel
  "#B2C7E7"],
  browns: ["#6B5840", //culture-dark
  "#A1845C", //culture-main
  "#EACCA0", //culture-bright
  "#E7D4B9", //culture-pastel
  "#FBF6EF"],
  pinks: ["#7D0068", //lifestyle-dark
  "#BB3B80", //lifestyle-main
  "#FFABDB", //lifestyle-bright
  "#FEC8D3", //lifestyle-pastel
  "#FEEEF7"],
  yellows: ["#F3C100", //highlight-dark
  "#FFE500"],
  greens: ["#185E36", "#22874D", "#65A897", //labs-dark
  "#69D1CA"],
  grays: ["#121212", //neutral-7
  "#333333", //neutral-20
  "#767676", //neutral-46
  "#999999", //neutral-60
  "#dcdcdc", //neutral-86
  "#ededed", //neutral-93
  "#f6f6f6", //neutral-97
  "#ffffff", //neutral-100
  "#3F464A", //special-report
  "#1A1A1A"]
};

var palette = {
  brand: {
    dark: colors.blues[5],
    main: colors.blues[6],
    bright: colors.blues[7],
    pastel: colors.blues[8],
    faded: colors.blues[9]
  },
  yellow: {
    dark: colors.yellows[0],
    main: colors.yellows[1]
  },
  neutral: {
    7: colors.grays[0],
    20: colors.grays[1],
    46: colors.grays[2],
    60: colors.grays[3],
    86: colors.grays[4],
    93: colors.grays[5],
    97: colors.grays[6],
    100: colors.grays[7],
    specialReport: colors.grays[8],
    darkMode: colors.grays[9]
  },
  error: {
    main: colors.reds[1],
    bright: colors.reds[2]
  },
  news: {
    dark: colors.reds[0],
    main: colors.reds[1],
    bright: colors.reds[2],
    pastel: colors.reds[3],
    faded: colors.reds[4]
  },
  opinion: {
    dark: colors.oranges[0],
    main: colors.oranges[1],
    bright: colors.oranges[2],
    pastel: colors.oranges[3],
    faded: colors.oranges[4]
  },
  sport: {
    dark: colors.blues[0],
    main: colors.blues[1],
    bright: colors.blues[2],
    pastel: colors.blues[3],
    faded: colors.blues[4]
  },
  culture: {
    dark: colors.browns[0],
    main: colors.browns[1],
    bright: colors.browns[2],
    pastel: colors.browns[3],
    faded: colors.browns[4]
  },
  lifestyle: {
    dark: colors.pinks[0],
    main: colors.pinks[1],
    bright: colors.pinks[2],
    pastel: colors.pinks[3],
    faded: colors.pinks[4]
  },
  labs: {
    dark: colors.greens[2],
    main: colors.greens[3]
  }
};

var headlineSizes = {
  1: fontSizes[2],
  2: fontSizes[3],
  3: fontSizes[4],
  4: fontSizes[5],
  5: fontSizes[6],
  6: fontSizes[7],
  7: fontSizes[8],
  8: fontSizes[9]
};
var bodySizes = {
  1: fontSizes[1],
  2: fontSizes[2]
};
var textSansSizes = {
  1: fontSizes[0],
  2: fontSizes[1],
  3: fontSizes[2],
  4: fontSizes[3],
  5: fontSizes[4],
  6: fontSizes[5],
  7: fontSizes[6],
  8: fontSizes[7],
  9: fontSizes[8],
  10: fontSizes[9]
};

Object.freeze(headlineSizes);
Object.freeze(bodySizes);
Object.freeze(textSansSizes);

var visuallyHidden = "\n\tposition: absolute;\n\topacity: 0;\n\theight: 0;\n\twidth: 0;\n\ttop: 0;\n\tleft: 0;\n"; // TODO: migrate to using context-specific alias

var focusHalo = "\n\toutline: 0;\n\tbox-shadow: 0 0 0 5px ".concat(palette.sport.bright, ";\n\tz-index: 9;\n");

exports.focusHalo = focusHalo;
exports.visuallyHidden = visuallyHidden;
