declare type LineHeight = "tight" | "regular" | "loose";
declare type FontWeight = "light" | "regular" | "medium" | "bold";
declare const headlineSizes: {
    1: number;
    2: number;
    3: number;
    4: number;
    5: number;
    6: number;
    7: number;
    8: number;
};
declare const bodySizes: {
    1: number;
    2: number;
};
declare const textSansSizes: {
    1: number;
    2: number;
    3: number;
    4: number;
    5: number;
    6: number;
    7: number;
    8: number;
    9: number;
    10: number;
};
interface FontScaleArgs {
    level: number;
    lineHeight?: LineHeight;
    fontWeight?: FontWeight;
}
declare const headline: ({ level, lineHeight, fontWeight, }: FontScaleArgs) => string;
declare const body: ({ level, lineHeight, fontWeight, }: FontScaleArgs) => string;
declare const textSans: ({ level, lineHeight, fontWeight, }: FontScaleArgs) => string;
export { headline, body, textSans, headlineSizes, bodySizes, textSansSizes };
